GET /data/asset-types

Retrieve all available asset types (entity types that are not shot, sequence, or episode) with filtering support

Query parameters

  • project_id

    Filter asset types by project

Responses

  • 200 application/json

    List of asset types successfully retrieved

    Hide response attributes Show response attributes object
    • id string(uuid)

      Asset type unique identifier

    • name string

      Asset type name

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/asset-types
curl -X GET "http://api.example.com/data/asset-types?project_id=a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/asset-types"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/asset-types' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "name": "Character",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]